package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.product.IndexProduct;

import java.util.List;

/**
 *  首页热销产品接口
 * @author xm
 * @Date 2019-03-26
 */
public interface IndexProductMapper {
    /**
     * 获取集合
     * @param  indexProduct
     * @return List
     */
    List<IndexProduct> getIndexProductList(IndexProduct  indexProduct);
    /**
     * 查询单条数据
     * @param  id
     * @return  indexProduct
     */
    IndexProduct  getIndexProductById(Integer  id);
    /**
     * 增加数据
     * @param  indexProduct
     * @return Integer
     */
    Integer  save(IndexProduct  indexProduct);
    /**
     * 修改数据
     * @param  indexProduct
     * @return Integer
     */
    Integer  update(IndexProduct  indexProduct);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}
